{% extends "admin/base.html" %}
{% block content %}
      <div class="content container-fluid">
    <div class="row">
      <div class="col-xs-4">
       <p><button {% if current_user.role.permissions.write_inventory == False %} disabled {% endif %} onclick="window.location.href='{{ url_for('main.edit_inventory',id=inventory.id) }}'" class="btn btn-info"><i class="fa fa-pencil m-r-5"></i> Edit</button></p>
      </div>
      <div class="col-sm-4">
        {% if inventory.state == 'available' %}
        <button {% if current_user.role.permissions.write_inventory == False %} disabled {% endif %} onclick="window.location.href='{{ url_for('main.reserve_car',id=inventory.id) }}'" class="btn btn-success">Reserve</i></button>
        {% elif inventory.state == 'reserved' and inventory.reserver == current_user %}
        <button {% if current_user.role.permissions.write_inventory == False %} disabled {% endif %} onclick="window.location.href='{{ url_for('main.sell_car',id=inventory.id) }}'" class="btn btn-success">Sell</i></button>
        {% endif %}
      </div>
      <div class="col-sm-4">
        <button {% if current_user.role.permissions.write_inventory == False %} disabled {% endif %} onclick="window.location.href='{{ url_for('main.inventory') }}'" class="btn btn-danger"><i class="fa fa-arrow-left">Back</i></button>
      </div>
    </div>
    <div class="row">
      <div class="col-lg-9">
        <div class="panel">
          <div class="panel-body">
            <div class="inventory-title">
              <h5 class="panel-title">{{ inventory.vehicle.make }} {{ inventory.vehicle.model }}</h5>
              <div class="col-lg-8">
                    <div class="task-attach-img" id="add_image">
                      <img src="{% if inventory.image %}{{url_for('static', filename='uploads/{}'.format(inventory.image))}}{% else %}{{url_for('static', filename='img/placeholder.png')}}{% endif %}" height="400px" alt="">
                  </div>
              </div>
            </div>
          </div>
        </div>
      </div>
      <div class="col-lg-3">
        <div class="panel">
          <div class="panel-body">
            <h6 class="panel-title m-b-15">Features</h6>
            <table id="prop-table" class="table table-striped table-border">
              <tbody>
                <tr>
                  <td>make:</td>
                  <td class="text-right">{{ inventory.vehicle.make }}</td>
                </tr>
                <tr>
                  <td>model:</td>
                  <td class="text-right">{{ inventory.vehicle.model }}</td>
                </tr>
                <tr>
                  <td>price:</td>
                  <td class="text-right">{{ "Ksh. {:,.2f}".format(inventory.price) }}</td>
                </tr>
                {% if inventory.external_price %}
                <tr>
                  <td>External price:</td>
                  <td class="text-right">{{ "Ksh. {:,.2f}".format(inventory.external_price) }}</td>
                </tr>
                {% endif %}
                <tr>
                  <td>Plate:</td>
                  <td class="text-right"> {{ inventory.plate }}</td>
                </tr>
                <form id="bazaar-form"  method="post">
                <tr id="input-bazaar" style="display:none;">
                  <td>Bazaar:</td>
                  <td class="text-right">
                      {{baz_form.bazaar(class="select")}}<br>
                      <button type="submit" class="btn btn-primary" id="bazaar-save" style="display:none;">save</button>
                  </td>
                </tr>
                <tr>
                  <td>Bazaar</td>
                  <td class="text-right" id="baza">
                    <span id="bazaar-holder">{{ inventory.bazaar.name }}</span><br>
                    <a href="#" id="bazaar-click">Add/Edit</a>

                  </td>
                </tr>
                </form>
                <tr>
                  <td>color:</td>
                  <td class="text-right">{{ inventory.color }}</td>
                </tr>
                <tr>
                  <td>Mileage:</td>
                  <td class="text-right">{{ inventory.mileage }}</td>
                </tr>
                <tr>
                  <td>Body:</td>
                  <td class="text-right">{{ inventory.body }}</td>
                </tr>
                <tr>
                  <td>Transmission:</td>
                  <td class="text-right">{{ inventory.transmission }}</td>
                </tr>
                <tr>
                  <td>Fuel:</td>
                  <td class="text-right">{{ inventory.fuel }}</td>
                </tr>
                <tr>
                  <td>Year:</td>
                  <td class="text-right">{{ inventory.year}}</td>
                </tr>
                <tr>
                  <td>Arrival date:</td>
                  <td class="text-right">{{ moment(inventory.arrival_date).format("MMM Do YYYY") }}</td>
                </tr>
                {% if inventory.state == 'available'  %}
                <tr>
                  <td>State:</td>
                  <td class="text-right">{{ inventory.state }}</td>
                </tr>
                {% elif inventory.state == 'reserved'  %}
                <tr>
                  <td>Reserved by:</td>
                  <td class="text-right">{{ inventory.reserver.username }}<br>{% if inventory.reserver == current_user  %}<a href="{{ url_for('main.return_reserved',id=inventory.id) }}">Return</a>{% endif %}</td>
                </tr>
                 {% elif inventory.state == 'sold'  %}
                 <tr>
                   <td>Sold by:</td>
                   <td class="text-right">{{ inventory.reserver.username }}</td>
                 </tr>
                  {% endif %}
                <tr>
                  <td>Featured:</td>
                  <td class="text-right"><input name="featured" {% if inventory.featured == True  %} checked {% endif %} type="checkbox" {% if current_user.role.permissions.write_inventory == False  %}readonly="readonly"{% endif %}></td>
                </tr>
              </tbody>
            </table>
            {% if current_user.role.permissions.create_inventory == True %}
            <table class="table table-striped table-border">
              <tbody>
                <form id="feature-form"  method="post">
                <tr id="input" style="display:none;">
                  <td>Price:</td>
                  <td class="text-right">
                      {{form.external_price(class="form-control")}}
                  </td>
                </tr>
                <tr>
                  <td></td>
                  <td class="text-right" id="test-this">
                    <button id="btn-click" class="btn btn-primary">Add/Edit External price</button>
                     {{form.submit(class="btn btn-primary",style="display:none;",id="save")}}
                  </td>
                </tr>
                </form>
              </tbody>
            </table>
            {% endif %}
          </div>
        </div>
      </div>
    </div>
          </div>
{% endblock %}
{% block scripts %}
{{super()}}
<script>
$(document).ready(function() {
    $( "input[type='checkbox']").on( "click",function() {
      var formData ={featured:$('input[name=featured]').is(":checked")}
      $.ajax({
              method: "post",
              url: "{{ url_for('main.set_featured',id=inventory.id) }}",
              data: formData
              }).done(function(data) {
                if(data.status == 1){
        					alertify.success('car updated successfully')
        				}else
        				{
        					alertify.error('Error: car not set as featured')
        				}

        				}).fail(function(data) {
        					alertify.error('Error: Could not contact server.')
        				});
});

$('#btn-click').click(function(event) {
    event.preventDefault();
    $('#input').css("display", "");
    $(this).css("display", "none");
    $('#save').css("display", "");

  });

  $('#bazaar-click').click(function(event) {
      event.preventDefault();
      $('#input-bazaar').css("display", "");
      $(this).css("display", "none");
      $('#bazaar-save').css("display", "");

    });

  $('#feature-form').submit(function(event) {
      var url = "{{ url_for('main.add_external_price',id=inventory.id) }}";
      Session.set('store',$('#feature-form').serializeArray() )
       $.ajax({
         type 		: 'POST',
         url 		: url,
         data 		: $('#feature-form').serialize()
       }).done(function(data) {
         if(data.status == 1){
           alertify.success('External price updated successfully')
           $('#btn-click').css("display", "");
           $('#save').css("display", "none");
           $('#input').css("display", "none");
           var store  = Session.get("store")
           var html ="<tr>";
              html+='<td>external price</td>';
              html+='<td class="text-right">Kes.'+store[0].value+'</td>';
              html+="</tr>";
           $('#prop-table').find('tbody').append( html );

         }else
         {
           alertify.error('Error: Could not be added.')
         }

         }).fail(function(XMLHttpRequest, textStatus, errorThrown) {
           alertify.error("Status: " + textStatus); alertify.error("Error: " + errorThrown);
         });
    event.preventDefault();
  });

  $('#bazaar-form').submit(function(event) {
      var url = "{{ url_for('main.add_bazaar',id=inventory.id) }}";
       $.ajax({
         type 		: 'POST',
         url 		: url,
         data 		: $('#bazaar-form').serialize()
       }).done(function(data) {
         if(data.status == 1){
           alertify.success('bazaar edited successfully')
           window.location.replace('{{ url_for('main.view_inventory',id=inventory.id) }}');
         }else
         {
           alertify.error('Error: Could not be added.')
         }
         }).fail(function(XMLHttpRequest, textStatus, errorThrown) {
           alertify.error("Status: " + textStatus); alertify.error("Error: " + errorThrown);
         });
    event.preventDefault();
  });
});
</script>
{%endblock%}
